diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-content/themes/twentytwelve/functions.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/themes/twentytwelve/functions.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-content/themes/twentytwelve/functions.php	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/themes/twentytwelve/functions.php	2012-12-17 16:18:42.000000000 -0600
***************
*** 0 ****
--- 1,450 ----
+ <?php
+ /**
+  * Twenty Twelve functions and definitions.
+  *
+  * Sets up the theme and provides some helper functions, which are used
+  * in the theme as custom template tags. Others are attached to action and
+  * filter hooks in WordPress to change core functionality.
+  *
+  * When using a child theme (see http://codex.wordpress.org/Theme_Development and
+  * http://codex.wordpress.org/Child_Themes), you can override certain functions
+  * (those wrapped in a function_exists() call) by defining them first in your child theme's
+  * functions.php file. The child theme's functions.php file is included before the parent
+  * theme's file, so the child theme functions would be used.
+  *
+  * Functions that are not pluggable (not wrapped in function_exists()) are instead attached
+  * to a filter or action hook.
+  *
+  * For more information on hooks, actions, and filters, see http://codex.wordpress.org/Plugin_API.
+  *
+  * @package WordPress
+  * @subpackage Twenty_Twelve
+  * @since Twenty Twelve 1.0
+  */
+ 
+ /**
+  * Sets up the content width value based on the theme's design and stylesheet.
+  */
+ if ( ! isset( $content_width ) )
+ 	$content_width = 625;
+ 
+ /**
+  * Sets up theme defaults and registers the various WordPress features that
+  * Twenty Twelve supports.
+  *
+  * @uses load_theme_textdomain() For translation/localization support.
+  * @uses add_editor_style() To add a Visual Editor stylesheet.
+  * @uses add_theme_support() To add support for post thumbnails, automatic feed links,
+  * 	custom background, and post formats.
+  * @uses register_nav_menu() To add support for navigation menus.
+  * @uses set_post_thumbnail_size() To set a custom post thumbnail size.
+  *
+  * @since Twenty Twelve 1.0
+  */
+ function twentytwelve_setup() {
+ 	/*
+ 	 * Makes Twenty Twelve available for translation.
+ 	 *
+ 	 * Translations can be added to the /languages/ directory.
+ 	 * If you're building a theme based on Twenty Twelve, use a find and replace
+ 	 * to change 'twentytwelve' to the name of your theme in all the template files.
+ 	 */
+ 	load_theme_textdomain( 'twentytwelve', get_template_directory() . '/languages' );
+ 
+ 	// This theme styles the visual editor with editor-style.css to match the theme style.
+ 	add_editor_style();
+ 
+ 	// Adds RSS feed links to <head> for posts and comments.
+ 	add_theme_support( 'automatic-feed-links' );
+ 
+ 	// This theme supports a variety of post formats.
+ 	add_theme_support( 'post-formats', array( 'aside', 'image', 'link', 'quote', 'status' ) );
+ 
+ 	// This theme uses wp_nav_menu() in one location.
+ 	register_nav_menu( 'primary', __( 'Primary Menu', 'twentytwelve' ) );
+ 
+ 	/*
+ 	 * This theme supports custom background color and image, and here
+ 	 * we also set up the default background color.
+ 	 */
+ 	add_theme_support( 'custom-background', array(
+ 		'default-color' => 'e6e6e6',
+ 	) );
+ 
+ 	// This theme uses a custom image size for featured images, displayed on "standard" posts.
+ 	add_theme_support( 'post-thumbnails' );
+ 	set_post_thumbnail_size( 624, 9999 ); // Unlimited height, soft crop
+ }
+ add_action( 'after_setup_theme', 'twentytwelve_setup' );
+ 
+ /**
+  * Adds support for a custom header image.
+  */
+ require( get_template_directory() . '/inc/custom-header.php' );
+ 
+ /**
+  * Enqueues scripts and styles for front-end.
+  *
+  * @since Twenty Twelve 1.0
+  */
+ function twentytwelve_scripts_styles() {
+ 	global $wp_styles;
+ 
+ 	/*
+ 	 * Adds JavaScript to pages with the comment form to support
+ 	 * sites with threaded comments (when in use).
+ 	 */
+ 	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
+ 		wp_enqueue_script( 'comment-reply' );
+ 
+ 	/*
+ 	 * Adds JavaScript for handling the navigation menu hide-and-show behavior.
+ 	 */
+ 	wp_enqueue_script( 'twentytwelve-navigation', get_template_directory_uri() . '/js/navigation.js', array(), '1.0', true );
+ 
+ 	/*
+ 	 * Loads our special font CSS file.
+ 	 *
+ 	 * The use of Open Sans by default is localized. For languages that use
+ 	 * characters not supported by the font, the font can be disabled.
+ 	 *
+ 	 * To disable in a child theme, use wp_dequeue_style()
+ 	 * function mytheme_dequeue_fonts() {
+ 	 *     wp_dequeue_style( 'twentytwelve-fonts' );
+ 	 * }
+ 	 * add_action( 'wp_enqueue_scripts', 'mytheme_dequeue_fonts', 11 );
+ 	 */
+ 
+ 	/* translators: If there are characters in your language that are not supported
+ 	   by Open Sans, translate this to 'off'. Do not translate into your own language. */
+ 	if ( 'off' !== _x( 'on', 'Open Sans font: on or off', 'twentytwelve' ) ) {
+ 		$subsets = 'latin,latin-ext';
+ 
+ 		/* translators: To add an additional Open Sans character subset specific to your language, translate
+ 		   this to 'greek', 'cyrillic' or 'vietnamese'. Do not translate into your own language. */
+ 		$subset = _x( 'no-subset', 'Open Sans font: add new subset (greek, cyrillic, vietnamese)', 'twentytwelve' );
+ 
+ 		if ( 'cyrillic' == $subset )
+ 			$subsets .= ',cyrillic,cyrillic-ext';
+ 		elseif ( 'greek' == $subset )
+ 			$subsets .= ',greek,greek-ext';
+ 		elseif ( 'vietnamese' == $subset )
+ 			$subsets .= ',vietnamese';
+ 
+ 		$protocol = is_ssl() ? 'https' : 'http';
+ 		$query_args = array(
+ 			'family' => 'Open+Sans:400italic,700italic,400,700',
+ 			'subset' => $subsets,
+ 		);
+ 		wp_enqueue_style( 'twentytwelve-fonts', add_query_arg( $query_args, "$protocol://fonts.googleapis.com/css" ), array(), null );
+ 	}
+ 
+ 	/*
+ 	 * Loads our main stylesheet.
+ 	 */
+ 	wp_enqueue_style( 'twentytwelve-style', get_stylesheet_uri() );
+ 
+ 	/*
+ 	 * Loads the Internet Explorer specific stylesheet.
+ 	 */
+ 	wp_enqueue_style( 'twentytwelve-ie', get_template_directory_uri() . '/css/ie.css', array( 'twentytwelve-style' ), '20121010' );
+ 	$wp_styles->add_data( 'twentytwelve-ie', 'conditional', 'lt IE 9' );
+ }
+ add_action( 'wp_enqueue_scripts', 'twentytwelve_scripts_styles' );
+ 
+ /**
+  * Creates a nicely formatted and more specific title element text
+  * for output in head of document, based on current view.
+  *
+  * @since Twenty Twelve 1.0
+  *
+  * @param string $title Default title text for current view.
+  * @param string $sep Optional separator.
+  * @return string Filtered title.
+  */
+ function twentytwelve_wp_title( $title, $sep ) {
+ 	global $paged, $page;
+ 
+ 	if ( is_feed() )
+ 		return $title;
+ 
+ 	// Add the site name.
+ 	$title .= get_bloginfo( 'name' );
+ 
+ 	// Add the site description for the home/front page.
+ 	$site_description = get_bloginfo( 'description', 'display' );
+ 	if ( $site_description && ( is_home() || is_front_page() ) )
+ 		$title = "$title $sep $site_description";
+ 
+ 	// Add a page number if necessary.
+ 	if ( $paged >= 2 || $page >= 2 )
+ 		$title = "$title $sep " . sprintf( __( 'Page %s', 'twentytwelve' ), max( $paged, $page ) );
+ 
+ 	return $title;
+ }
+ add_filter( 'wp_title', 'twentytwelve_wp_title', 10, 2 );
+ 
+ /**
+  * Makes our wp_nav_menu() fallback -- wp_page_menu() -- show a home link.
+  *
+  * @since Twenty Twelve 1.0
+  */
+ function twentytwelve_page_menu_args( $args ) {
+ 	if ( ! isset( $args['show_home'] ) )
+ 		$args['show_home'] = true;
+ 	return $args;
+ }
+ add_filter( 'wp_page_menu_args', 'twentytwelve_page_menu_args' );
+ 
+ /**
+  * Registers our main widget area and the front page widget areas.
+  *
+  * @since Twenty Twelve 1.0
+  */
+ function twentytwelve_widgets_init() {
+ 	register_sidebar( array(
+ 		'name' => __( 'Main Sidebar', 'twentytwelve' ),
+ 		'id' => 'sidebar-1',
+ 		'description' => __( 'Appears on posts and pages except the optional Front Page template, which has its own widgets', 'twentytwelve' ),
+ 		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
+ 		'after_widget' => '</aside>',
+ 		'before_title' => '<h3 class="widget-title">',
+ 		'after_title' => '</h3>',
+ 	) );
+ 
+ 	register_sidebar( array(
+ 		'name' => __( 'First Front Page Widget Area', 'twentytwelve' ),
+ 		'id' => 'sidebar-2',
+ 		'description' => __( 'Appears when using the optional Front Page template with a page set as Static Front Page', 'twentytwelve' ),
+ 		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
+ 		'after_widget' => '</aside>',
+ 		'before_title' => '<h3 class="widget-title">',
+ 		'after_title' => '</h3>',
+ 	) );
+ 
+ 	register_sidebar( array(
+ 		'name' => __( 'Second Front Page Widget Area', 'twentytwelve' ),
+ 		'id' => 'sidebar-3',
+ 		'description' => __( 'Appears when using the optional Front Page template with a page set as Static Front Page', 'twentytwelve' ),
+ 		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
+ 		'after_widget' => '</aside>',
+ 		'before_title' => '<h3 class="widget-title">',
+ 		'after_title' => '</h3>',
+ 	) );
+ }
+ add_action( 'widgets_init', 'twentytwelve_widgets_init' );
+ 
+ if ( ! function_exists( 'twentytwelve_content_nav' ) ) :
+ /**
+  * Displays navigation to next/previous pages when applicable.
+  *
+  * @since Twenty Twelve 1.0
+  */
+ function twentytwelve_content_nav( $html_id ) {
+ 	global $wp_query;
+ 
+ 	$html_id = esc_attr( $html_id );
+ 
+ 	if ( $wp_query->max_num_pages > 1 ) : ?>
+ 		<nav id="<?php echo $html_id; ?>" class="navigation" role="navigation">
+ 			<h3 class="assistive-text"><?php _e( 'Post navigation', 'twentytwelve' ); ?></h3>
+ 			<div class="nav-previous alignleft"><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Older posts', 'twentytwelve' ) ); ?></div>
+ 			<div class="nav-next alignright"><?php previous_posts_link( __( 'Newer posts <span class="meta-nav">&rarr;</span>', 'twentytwelve' ) ); ?></div>
+ 		</nav><!-- #<?php echo $html_id; ?> .navigation -->
+ 	<?php endif;
+ }
+ endif;
+ 
+ if ( ! function_exists( 'twentytwelve_comment' ) ) :
+ /**
+  * Template for comments and pingbacks.
+  *
+  * To override this walker in a child theme without modifying the comments template
+  * simply create your own twentytwelve_comment(), and that function will be used instead.
+  *
+  * Used as a callback by wp_list_comments() for displaying the comments.
+  *
+  * @since Twenty Twelve 1.0
+  */
+ function twentytwelve_comment( $comment, $args, $depth ) {
+ 	$GLOBALS['comment'] = $comment;
+ 	switch ( $comment->comment_type ) :
+ 		case 'pingback' :
+ 		case 'trackback' :
+ 		// Display trackbacks differently than normal comments.
+ 	?>
+ 	<li <?php comment_class(); ?> id="comment-<?php comment_ID(); ?>">
+ 		<p><?php _e( 'Pingback:', 'twentytwelve' ); ?> <?php comment_author_link(); ?> <?php edit_comment_link( __( '(Edit)', 'twentytwelve' ), '<span class="edit-link">', '</span>' ); ?></p>
+ 	<?php
+ 			break;
+ 		default :
+ 		// Proceed with normal comments.
+ 		global $post;
+ 	?>
+ 	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
+ 		<article id="comment-<?php comment_ID(); ?>" class="comment">
+ 			<header class="comment-meta comment-author vcard">
+ 				<?php
+ 					echo get_avatar( $comment, 44 );
+ 					printf( '<cite class="fn">%1$s %2$s</cite>',
+ 						get_comment_author_link(),
+ 						// If current post author is also comment author, make it known visually.
+ 						( $comment->user_id === $post->post_author ) ? '<span> ' . __( 'Post author', 'twentytwelve' ) . '</span>' : ''
+ 					);
+ 					printf( '<a href="%1$s"><time datetime="%2$s">%3$s</time></a>',
+ 						esc_url( get_comment_link( $comment->comment_ID ) ),
+ 						get_comment_time( 'c' ),
+ 						/* translators: 1: date, 2: time */
+ 						sprintf( __( '%1$s at %2$s', 'twentytwelve' ), get_comment_date(), get_comment_time() )
+ 					);
+ 				?>
+ 			</header><!-- .comment-meta -->
+ 
+ 			<?php if ( '0' == $comment->comment_approved ) : ?>
+ 				<p class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'twentytwelve' ); ?></p>
+ 			<?php endif; ?>
+ 
+ 			<section class="comment-content comment">
+ 				<?php comment_text(); ?>
+ 				<?php edit_comment_link( __( 'Edit', 'twentytwelve' ), '<p class="edit-link">', '</p>' ); ?>
+ 			</section><!-- .comment-content -->
+ 
+ 			<div class="reply">
+ 				<?php comment_reply_link( array_merge( $args, array( 'reply_text' => __( 'Reply', 'twentytwelve' ), 'after' => ' <span>&darr;</span>', 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
+ 			</div><!-- .reply -->
+ 		</article><!-- #comment-## -->
+ 	<?php
+ 		break;
+ 	endswitch; // end comment_type check
+ }
+ endif;
+ 
+ if ( ! function_exists( 'twentytwelve_entry_meta' ) ) :
+ /**
+  * Prints HTML with meta information for current post: categories, tags, permalink, author, and date.
+  *
+  * Create your own twentytwelve_entry_meta() to override in a child theme.
+  *
+  * @since Twenty Twelve 1.0
+  */
+ function twentytwelve_entry_meta() {
+ 	// Translators: used between list items, there is a space after the comma.
+ 	$categories_list = get_the_category_list( __( ', ', 'twentytwelve' ) );
+ 
+ 	// Translators: used between list items, there is a space after the comma.
+ 	$tag_list = get_the_tag_list( '', __( ', ', 'twentytwelve' ) );
+ 
+ 	$date = sprintf( '<a href="%1$s" title="%2$s" rel="bookmark"><time class="entry-date" datetime="%3$s">%4$s</time></a>',
+ 		esc_url( get_permalink() ),
+ 		esc_attr( get_the_time() ),
+ 		esc_attr( get_the_date( 'c' ) ),
+ 		esc_html( get_the_date() )
+ 	);
+ 
+ 	$author = sprintf( '<span class="author vcard"><a class="url fn n" href="%1$s" title="%2$s" rel="author">%3$s</a></span>',
+ 		esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
+ 		esc_attr( sprintf( __( 'View all posts by %s', 'twentytwelve' ), get_the_author() ) ),
+ 		get_the_author()
+ 	);
+ 
+ 	// Translators: 1 is category, 2 is tag, 3 is the date and 4 is the author's name.
+ 	if ( $tag_list ) {
+ 		$utility_text = __( 'This entry was posted in %1$s and tagged %2$s on %3$s<span class="by-author"> by %4$s</span>.', 'twentytwelve' );
+ 	} elseif ( $categories_list ) {
+ 		$utility_text = __( 'This entry was posted in %1$s on %3$s<span class="by-author"> by %4$s</span>.', 'twentytwelve' );
+ 	} else {
+ 		$utility_text = __( 'This entry was posted on %3$s<span class="by-author"> by %4$s</span>.', 'twentytwelve' );
+ 	}
+ 
+ 	printf(
+ 		$utility_text,
+ 		$categories_list,
+ 		$tag_list,
+ 		$date,
+ 		$author
+ 	);
+ }
+ endif;
+ 
+ /**
+  * Extends the default WordPress body class to denote:
+  * 1. Using a full-width layout, when no active widgets in the sidebar
+  *    or full-width template.
+  * 2. Front Page template: thumbnail in use and number of sidebars for
+  *    widget areas.
+  * 3. White or empty background color to change the layout and spacing.
+  * 4. Custom fonts enabled.
+  * 5. Single or multiple authors.
+  *
+  * @since Twenty Twelve 1.0
+  *
+  * @param array Existing class values.
+  * @return array Filtered class values.
+  */
+ function twentytwelve_body_class( $classes ) {
+ 	$background_color = get_background_color();
+ 
+ 	if ( ! is_active_sidebar( 'sidebar-1' ) || is_page_template( 'page-templates/full-width.php' ) )
+ 		$classes[] = 'full-width';
+ 
+ 	if ( is_page_template( 'page-templates/front-page.php' ) ) {
+ 		$classes[] = 'template-front-page';
+ 		if ( has_post_thumbnail() )
+ 			$classes[] = 'has-post-thumbnail';
+ 		if ( is_active_sidebar( 'sidebar-2' ) && is_active_sidebar( 'sidebar-3' ) )
+ 			$classes[] = 'two-sidebars';
+ 	}
+ 
+ 	if ( empty( $background_color ) )
+ 		$classes[] = 'custom-background-empty';
+ 	elseif ( in_array( $background_color, array( 'fff', 'ffffff' ) ) )
+ 		$classes[] = 'custom-background-white';
+ 
+ 	// Enable custom font class only if the font CSS is queued to load.
+ 	if ( wp_style_is( 'twentytwelve-fonts', 'queue' ) )
+ 		$classes[] = 'custom-font-enabled';
+ 
+ 	if ( ! is_multi_author() )
+ 		$classes[] = 'single-author';
+ 
+ 	return $classes;
+ }
+ add_filter( 'body_class', 'twentytwelve_body_class' );
+ 
+ /**
+  * Adjusts content_width value for full-width and single image attachment
+  * templates, and when there are no active widgets in the sidebar.
+  *
+  * @since Twenty Twelve 1.0
+  */
+ function twentytwelve_content_width() {
+ 	if ( is_page_template( 'page-templates/full-width.php' ) || is_attachment() || ! is_active_sidebar( 'sidebar-1' ) ) {
+ 		global $content_width;
+ 		$content_width = 960;
+ 	}
+ }
+ add_action( 'template_redirect', 'twentytwelve_content_width' );
+ 
+ /**
+  * Add postMessage support for site title and description for the Theme Customizer.
+  *
+  * @since Twenty Twelve 1.0
+  *
+  * @param WP_Customize_Manager $wp_customize Theme Customizer object.
+  * @return void
+  */
+ function twentytwelve_customize_register( $wp_customize ) {
+ 	$wp_customize->get_setting( 'blogname' )->transport = 'postMessage';
+ 	$wp_customize->get_setting( 'blogdescription' )->transport = 'postMessage';
+ }
+ add_action( 'customize_register', 'twentytwelve_customize_register' );
+ 
+ /**
+  * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
+  *
+  * @since Twenty Twelve 1.0
+  */
+ function twentytwelve_customize_preview_js() {
+ 	wp_enqueue_script( 'twentytwelve-customizer', get_template_directory_uri() . '/js/theme-customizer.js', array( 'customize-preview' ), '20120827', true );
+ }
+ add_action( 'customize_preview_init', 'twentytwelve_customize_preview_js' );
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-content/themes/twentytwelve/header.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/themes/twentytwelve/header.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-content/themes/twentytwelve/header.php	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/themes/twentytwelve/header.php	2012-12-17 16:18:42.000000000 -0600
***************
*** 0 ****
--- 1,54 ----
+ <?php
+ /**
+  * The Header for our theme.
+  *
+  * Displays all of the <head> section and everything up till <div id="main">
+  *
+  * @package WordPress
+  * @subpackage Twenty_Twelve
+  * @since Twenty Twelve 1.0
+  */
+ ?><!DOCTYPE html>
+ <!--[if IE 7]>
+ <html class="ie ie7" <?php language_attributes(); ?>>
+ <![endif]-->
+ <!--[if IE 8]>
+ <html class="ie ie8" <?php language_attributes(); ?>>
+ <![endif]-->
+ <!--[if !(IE 7) | !(IE 8)  ]><!-->
+ <html <?php language_attributes(); ?>>
+ <!--<![endif]-->
+ <head>
+ <meta charset="<?php bloginfo( 'charset' ); ?>" />
+ <meta name="viewport" content="width=device-width" />
+ <title><?php wp_title( '|', true, 'right' ); ?></title>
+ <link rel="profile" href="http://gmpg.org/xfn/11" />
+ <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
+ <?php // Loads HTML5 JavaScript file to add support for HTML5 elements in older IE versions. ?>
+ <!--[if lt IE 9]>
+ <script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
+ <![endif]-->
+ <?php wp_head(); ?>
+ </head>
+ 
+ <body <?php body_class(); ?>>
+ <div id="page" class="hfeed site">
+ 	<header id="masthead" class="site-header" role="banner">
+ 		<hgroup>
+ 			<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
+ 			<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
+ 		</hgroup>
+ 
+ 		<nav id="site-navigation" class="main-navigation" role="navigation">
+ 			<h3 class="menu-toggle"><?php _e( 'Menu', 'twentytwelve' ); ?></h3>
+ 			<a class="assistive-text" href="#content" title="<?php esc_attr_e( 'Skip to content', 'twentytwelve' ); ?>"><?php _e( 'Skip to content', 'twentytwelve' ); ?></a>
+ 			<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'nav-menu' ) ); ?>
+ 		</nav><!-- #site-navigation -->
+ 
+ 		<?php $header_image = get_header_image();
+ 		if ( ! empty( $header_image ) ) : ?>
+ 			<a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo esc_url( $header_image ); ?>" class="header-image" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="" /></a>
+ 		<?php endif; ?>
+ 	</header><!-- #masthead -->
+ 
+ 	<div id="main" class="wrapper">
\ No newline at end of file
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-content/themes/twentytwelve/image.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/themes/twentytwelve/image.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-content/themes/twentytwelve/image.php	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/themes/twentytwelve/image.php	2012-12-17 16:18:42.000000000 -0600
***************
*** 0 ****
--- 1,106 ----
+ <?php
+ /**
+  * The template for displaying image attachments.
+  *
+  * Learn more: http://codex.wordpress.org/Template_Hierarchy
+  *
+  * @package WordPress
+  * @subpackage Twenty_Twelve
+  * @since Twenty Twelve 1.0
+  */
+ 
+ get_header(); ?>
+ 
+ 	<div id="primary" class="site-content">
+ 		<div id="content" role="main">
+ 
+ 		<?php while ( have_posts() ) : the_post(); ?>
+ 
+ 				<article id="post-<?php the_ID(); ?>" <?php post_class( 'image-attachment' ); ?>>
+ 					<header class="entry-header">
+ 						<h1 class="entry-title"><?php the_title(); ?></h1>
+ 
+ 						<footer class="entry-meta">
+ 							<?php
+ 								$metadata = wp_get_attachment_metadata();
+ 								printf( __( '<span class="meta-prep meta-prep-entry-date">Published </span> <span class="entry-date"><time class="entry-date" datetime="%1$s">%2$s</time></span> at <a href="%3$s" title="Link to full-size image">%4$s &times; %5$s</a> in <a href="%6$s" title="Return to %7$s" rel="gallery">%8$s</a>.', 'twentytwelve' ),
+ 									esc_attr( get_the_date( 'c' ) ),
+ 									esc_html( get_the_date() ),
+ 									esc_url( wp_get_attachment_url() ),
+ 									$metadata['width'],
+ 									$metadata['height'],
+ 									esc_url( get_permalink( $post->post_parent ) ),
+ 									esc_attr( strip_tags( get_the_title( $post->post_parent ) ) ),
+ 									get_the_title( $post->post_parent )
+ 								);
+ 							?>
+ 							<?php edit_post_link( __( 'Edit', 'twentytwelve' ), '<span class="edit-link">', '</span>' ); ?>
+ 						</footer><!-- .entry-meta -->
+ 
+ 						<nav id="image-navigation" class="navigation" role="navigation">
+ 							<span class="previous-image"><?php previous_image_link( false, __( '&larr; Previous', 'twentytwelve' ) ); ?></span>
+ 							<span class="next-image"><?php next_image_link( false, __( 'Next &rarr;', 'twentytwelve' ) ); ?></span>
+ 						</nav><!-- #image-navigation -->
+ 					</header><!-- .entry-header -->
+ 
+ 					<div class="entry-content">
+ 
+ 						<div class="entry-attachment">
+ 							<div class="attachment">
+ <?php
+ /**
+  * Grab the IDs of all the image attachments in a gallery so we can get the URL of the next adjacent image in a gallery,
+  * or the first image (if we're looking at the last image in a gallery), or, in a gallery of one, just the link to that image file
+  */
+ $attachments = array_values( get_children( array( 'post_parent' => $post->post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID' ) ) );
+ foreach ( $attachments as $k => $attachment ) :
+ 	if ( $attachment->ID == $post->ID )
+ 		break;
+ endforeach;
+ 
+ $k++;
+ // If there is more than 1 attachment in a gallery
+ if ( count( $attachments ) > 1 ) :
+ 	if ( isset( $attachments[ $k ] ) ) :
+ 		// get the URL of the next image attachment
+ 		$next_attachment_url = get_attachment_link( $attachments[ $k ]->ID );
+ 	else :
+ 		// or get the URL of the first image attachment
+ 		$next_attachment_url = get_attachment_link( $attachments[ 0 ]->ID );
+ 	endif;
+ else :
+ 	// or, if there's only 1 image, get the URL of the image
+ 	$next_attachment_url = wp_get_attachment_url();
+ endif;
+ ?>
+ 								<a href="<?php echo esc_url( $next_attachment_url ); ?>" title="<?php the_title_attribute(); ?>" rel="attachment"><?php
+ 								$attachment_size = apply_filters( 'twentytwelve_attachment_size', array( 960, 960 ) );
+ 								echo wp_get_attachment_image( $post->ID, $attachment_size );
+ 								?></a>
+ 
+ 								<?php if ( ! empty( $post->post_excerpt ) ) : ?>
+ 								<div class="entry-caption">
+ 									<?php the_excerpt(); ?>
+ 								</div>
+ 								<?php endif; ?>
+ 							</div><!-- .attachment -->
+ 
+ 						</div><!-- .entry-attachment -->
+ 
+ 						<div class="entry-description">
+ 							<?php the_content(); ?>
+ 							<?php wp_link_pages( array( 'before' => '<div class="page-links">' . __( 'Pages:', 'twentytwelve' ), 'after' => '</div>' ) ); ?>
+ 						</div><!-- .entry-description -->
+ 
+ 					</div><!-- .entry-content -->
+ 
+ 				</article><!-- #post -->
+ 
+ 				<?php comments_template(); ?>
+ 
+ 			<?php endwhile; // end of the loop. ?>
+ 
+ 		</div><!-- #content -->
+ 	</div><!-- #primary -->
+ 
+ <?php get_footer(); ?>
\ No newline at end of file
diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-content/themes/twentytwelve/inc/custom-header.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/themes/twentytwelve/inc/custom-header.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-content/themes/twentytwelve/inc/custom-header.php	1969-12-31 17:00:00.000000000 -0700
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-content/themes/twentytwelve/inc/custom-header.php	2012-12-17 16:18:42.000000000 -0600
***************
*** 0 ****
--- 1,150 ----
+ <?php
+ /**
+  * Implements an optional custom header for Twenty Twelve.
+  * See http://codex.wordpress.org/Custom_Headers
+  *
+  * @package WordPress
+  * @subpackage Twenty_Twelve
+  * @since Twenty Twelve 1.0
+  */
+ 
+ /**
+  * Sets up the WordPress core custom header arguments and settings.
+  *
+  * @uses add_theme_support() to register support for 3.4 and up.
+  * @uses twentytwelve_header_style() to style front-end.
+  * @uses twentytwelve_admin_header_style() to style wp-admin form.
+  * @uses twentytwelve_admin_header_image() to add custom markup to wp-admin form.
+  *
+  * @since Twenty Twelve 1.0
+  */
+ function twentytwelve_custom_header_setup() {
+ 	$args = array(
+ 		// Text color and image (empty to use none).
+ 		'default-text-color'     => '444',
+ 		'default-image'          => '',
+ 
+ 		// Set height and width, with a maximum value for the width.
+ 		'height'                 => 250,
+ 		'width'                  => 960,
+ 		'max-width'              => 2000,
+ 
+ 		// Support flexible height and width.
+ 		'flex-height'            => true,
+ 		'flex-width'             => true,
+ 
+ 		// Random image rotation off by default.
+ 		'random-default'         => false,
+ 
+ 		// Callbacks for styling the header and the admin preview.
+ 		'wp-head-callback'       => 'twentytwelve_header_style',
+ 		'admin-head-callback'    => 'twentytwelve_admin_header_style',
+ 		'admin-preview-callback' => 'twentytwelve_admin_header_image',
+ 	);
+ 
+ 	add_theme_support( 'custom-header', $args );
+ }
+ add_action( 'after_setup_theme', 'twentytwelve_custom_header_setup' );
+ 
+ /**
+  * Styles the header text displayed on the blog.
+  *
+  * get_header_textcolor() options: 444 is default, hide text (returns 'blank'), or any hex value.
+  *
+  * @since Twenty Twelve 1.0
+  */
+ function twentytwelve_header_style() {
+ 	$text_color = get_header_textcolor();
+ 
+ 	// If no custom options for text are set, let's bail
+ 	if ( $text_color == get_theme_support( 'custom-header', 'default-text-color' ) )
+ 		return;
+ 
+ 	// If we get this far, we have custom styles.
+ 	?>
+ 	<style type="text/css">
+ 	<?php
+ 		// Has the text been hidden?
+ 		if ( ! display_header_text() ) :
+ 	?>
+ 		.site-title,
+ 		.site-description {
+ 			position: absolute !important;
+ 			clip: rect(1px 1px 1px 1px); /* IE7 */
+ 			clip: rect(1px, 1px, 1px, 1px);
+ 		}
+ 	<?php
+ 		// If the user has set a custom color for the text, use that.
+ 		else :
+ 	?>
+ 		.site-title a,
+ 		.site-description {
+ 			color: #<?php echo $text_color; ?> !important;
+ 		}
+ 	<?php endif; ?>
+ 	</style>
+ 	<?php
+ }
+ 
+ /**
+  * Styles the header image displayed on the Appearance > Header admin panel.
+  *
+  * @since Twenty Twelve 1.0
+  */
+ function twentytwelve_admin_header_style() {
+ ?>
+ 	<style type="text/css">
+ 	.appearance_page_custom-header #headimg {
+ 		border: none;
+ 	}
+ 	#headimg h1,
+ 	#headimg h2 {
+ 		line-height: 1.6;
+ 		margin: 0;
+ 		padding: 0;
+ 	}
+ 	#headimg h1 {
+ 		font-size: 30px;
+ 	}
+ 	#headimg h1 a {
+ 		color: #515151;
+ 		text-decoration: none;
+ 	}
+ 	#headimg h1 a:hover {
+ 		color: #21759b;
+ 	}
+ 	#headimg h2 {
+ 		color: #757575;
+ 		font: normal 13px/1.8 "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", sans-serif;
+ 		margin-bottom: 24px;
+ 	}
+ 	#headimg img {
+ 		max-width: <?php echo get_theme_support( 'custom-header', 'max-width' ); ?>px;
+ 	}
+ 	</style>
+ <?php
+ }
+ 
+ /**
+  * Outputs markup to be displayed on the Appearance > Header admin panel.
+  * This callback overrides the default markup displayed there.
+  *
+  * @since Twenty Twelve 1.0
+  */
+ function twentytwelve_admin_header_image() {
+ 	?>
+ 	<div id="headimg">
+ 		<?php
+ 		if ( ! display_header_text() )
+ 			$style = ' style="display:none;"';
+ 		else
+ 			$style = ' style="color:#' . get_header_textcolor() . ';"';
+ 		?>
+ 		<h1><a id="name"<?php echo $style; ?> onclick="return false;" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php bloginfo( 'name' ); ?></a></h1>
+ 		<h2 id="desc"<?php echo $style; ?>><?php bloginfo( 'description' ); ?></h2>
+ 		<?php $header_image = get_header_image();
+ 		if ( ! empty( $header_image ) ) : ?>
+ 			<img src="<?php echo esc_url( $header_image ); ?>" class="header-image" width="<?php echo get_custom_header()->width; ?>" height="<?php echo get_custom_header()->height; ?>" alt="" />
+ 		<?php endif; ?>
+ 	</div>
+ <?php }
\ No newline at end of file
